@use "./onglets.scss" as onglets;
@use "./blueprint.scss";

@mixin main {

    grid-row: 2;
    grid-column: 2;

    position: relative;
    display: grid;
    grid-template-rows: max-content auto;
    grid-template-columns: auto;
    
    background: var(--bg);

    .onglets {

        @include onglets.main();
        
    }
    
    .pages {
        
        border-top: var(--border);
        position: relative;

        .page {
            
            position: absolute;
            top: 0; left: 0;
            height: 100%;
            width: 100%;

        }

    }

}

@mixin air {

    background: none;
    transition: background ease .1s;

    .onglets {
        @include onglets.air();
    }

    .pages {

        border: none;
        
        .page {
            border-top-left-radius: 10px;                
            box-shadow: 1px 1px 6px -2px #000;
        }


    }

}